%define upstream_name    Unicode-Collate
%define upstream_version 1.31

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Weighting JIS KANJI for Unicode::Collate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(XSLoader)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module is an implementation of Unicode Technical Standard #10 (a.k.a.
UTS #10) - Unicode Collation Algorithm (a.k.a. UCA).

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.310.0-6.mga10
+ Revision: 2226308
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 1.310.0-5.mga10
+ Revision: 2088248
- Rebuild against new perl

* Tue Nov 28 2023 tv <tv> 1.310.0-4.mga10
+ Revision: 2010544
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.310.0-3.mga9
+ Revision: 1862548
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.310.0-2.mga9
+ Revision: 1796429
- Mageia 9 Mass Rebuild

* Tue Aug 24 2021 tv <tv> 1.310.0-1.mga9
+ Revision: 1742478
- update to 1.31

* Tue Jun 08 2021 tv <tv> 1.300.0-1.mga9
+ Revision: 1730160
- update to 1.30

* Mon May 24 2021 umeabot <umeabot> 1.290.0-2.mga9
+ Revision: 1727204
- Rebuild for perl 5.34

* Sun Sep 27 2020 tv <tv> 1.290.0-1.mga8
+ Revision: 1630781
- update to 1.29

* Wed Sep 23 2020 tv <tv> 1.280.0-1.mga8
+ Revision: 1629479
- update to 1.28

* Wed Jun 17 2020 umeabot <umeabot> 1.270.0-4.mga8
+ Revision: 1595290
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 1.270.0-3.mga8
+ Revision: 1530162
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 1.270.0-2.mga8
+ Revision: 1433934
- rebuild for perl 5.30

* Thu Jan 03 2019 tv <tv> 1.270.0-1.mga7
+ Revision: 1348791
- update to 1.27

* Mon Dec 31 2018 tv <tv> 1.260.0-1.mga7
+ Revision: 1347764
- update to 1.26

* Fri Sep 21 2018 umeabot <umeabot> 1.250.0-3.mga7
+ Revision: 1293903
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.250.0-2.mga7
+ Revision: 1250363
- Rebuild for perl 5.28

* Sat Jan 13 2018 shlomif <shlomif> 1.250.0-1.mga7
+ Revision: 1192701
- New version 1.25
- New version 1.25

* Tue Oct 03 2017 tv <tv> 1.190.0-3.mga7
+ Revision: 1167219
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.190.0-2.mga7
+ Revision: 1149410
- Rebuild for perl ABI changes

* Wed Jul 26 2017 sander85 <sander85> 1.190.0-1.mga7
+ Revision: 1131089
- update to 1.19
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.140.0-3.mga6
+ Revision: 1035437
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.140.0-2.mga6
+ Revision: 958155
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 1.140.0-1.mga6
+ Revision: 853592
- update to 1.14

* Fri Jun 26 2015 tv <tv> 1.120.0-2.mga6
+ Revision: 845426
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 1.120.0-1.mga6
+ Revision: 841304
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.70.0-4.mga5
+ Revision: 746697
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.70.0-3.mga5
+ Revision: 686785
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.70.0-2.mga5
+ Revision: 631823
- Rebuild for perl 5.20

* Tue May 27 2014 sander85 <sander85> 1.70.0-1.mga5
+ Revision: 627060
- update to 1.07

* Sun May 25 2014 sander85 <sander85> 1.50.0-1.mga5
+ Revision: 626429
- update to 1.05

* Sun Feb 09 2014 sander85 <sander85> 1.40.0-1.mga5
+ Revision: 587768
- update to 1.04

* Sat Oct 19 2013 umeabot <umeabot> 0.990.0-2.mga4
+ Revision: 533985
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.990.0-1.mga4
+ Revision: 475965
- update to 0.99

* Wed May 29 2013 jquelin <jquelin> 0.970.0-5.mga4
+ Revision: 432328
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.970.0-4.mga4
+ Revision: 432179
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 0.970.0-3.mga3
+ Revision: 405583
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.970.0-2.mga3
+ Revision: 374612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 341880
- update to 0.97

* Wed Nov 07 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 315588
- update to 0.91

* Mon Oct 01 2012 jquelin <jquelin> 0.900.0-1.mga3
+ Revision: 301466
- imported package perl-Unicode-Collate


* Mon Oct 01 2012 cpan2dist 0.90-1mga
- initial mageia release, generated with cpan2dist
